﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using CompanyX.Insurance.La.DataContracts;
using CompanyX.Insurance.La.ServiceAgents;

namespace CompanyX.Insurance.La.Services.FunctionalTests
{
    /// <summary>
    ///This is a test class for CompanyX.Insurance.La.Services.TestGenerator.HoldingClient and is intended
    ///to contain all CompanyX.Insurance.La.Services.TestGenerator.HoldingClient Unit Tests
    ///</summary>
    [TestClass()]
    public class HoldingClientTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }
        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for DownloadHoldingInformation (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void DownloadHoldingInformationTest()
        {
            HoldingClient target = new HoldingClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.DownloadHoldingInformation(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.HoldingClient.DownloadHoldingInforma" +
                    "tion did not return the expected value.");
        }

        /// <summary>
        ///A test for GetHoldingDetail (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetHoldingDetailTest()
        {
            HoldingClient target = new HoldingClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetHoldingDetail(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.HoldingClient.GetHoldingDetail did n" +
                    "ot return the expected value.");
        }

        /// <summary>
        ///A test for UpdateHoldingDetail (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdateHoldingDetailTest()
        {
            HoldingClient target = new HoldingClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdateHoldingDetail(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.HoldingClient.UpdateHoldingDetail di" +
                    "d not return the expected value.");
        }

        /// <summary>
        ///A test for UpdateHoldingStatus (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdateHoldingStatusTest()
        {
            HoldingClient target = new HoldingClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdateHoldingStatus(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.HoldingClient.UpdateHoldingStatus di" +
                    "d not return the expected value.");
        }

        /// <summary>
        ///A test for WithdrawFromHolding (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void WithdrawFromHoldingTest()
        {
            HoldingClient target = new HoldingClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.WithdrawFromHolding(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.HoldingClient.WithdrawFromHolding di" +
                    "d not return the expected value.");
        }

    }


}
