﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using CompanyX.Insurance.La.DataContracts;
using CompanyX.Insurance.La.ServiceAgents;

namespace CompanyX.Insurance.La.Services.FunctionalTests
{
    /// <summary>
    ///This is a test class for CompanyX.Insurance.La.Services.TestGenerator.InvestmentClient and is intended
    ///to contain all CompanyX.Insurance.La.Services.TestGenerator.InvestmentClient Unit Tests
    ///</summary>
    [TestClass()]
    public class InvestmentClientTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }
        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for ChangeStandingAllocation (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void ChangeStandingAllocationTest()
        {
            InvestmentClient target = new InvestmentClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.ChangeStandingAllocation(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InvestmentClient.ChangeStandingAlloc" +
                    "ation did not return the expected value.");
        }

        /// <summary>
        ///A test for GetInvestProductDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetInvestProductDetailsTest()
        {
            InvestmentClient target = new InvestmentClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetInvestProductDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InvestmentClient.GetInvestProductDet" +
                    "ails did not return the expected value.");
        }

        /// <summary>
        ///A test for SearchInvestProducts (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SearchInvestProductsTest()
        {
            InvestmentClient target = new InvestmentClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SearchInvestProducts(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InvestmentClient.SearchInvestProduct" +
                    "s did not return the expected value.");
        }

        /// <summary>
        ///A test for SendInvestProductDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendInvestProductDetailsTest()
        {
            InvestmentClient target = new InvestmentClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendInvestProductDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InvestmentClient.SendInvestProductDe" +
                    "tails did not return the expected value.");
        }

        /// <summary>
        ///A test for TransferFunds (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void TransferFundsTest()
        {
            InvestmentClient target = new InvestmentClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.TransferFunds(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InvestmentClient.TransferFunds did n" +
                    "ot return the expected value.");
        }

    }


}
