﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using CompanyX.Insurance.La.DataContracts;

namespace CompanyX.Insurance.La.Services.FunctionalTests
{
    /// <summary>
    ///This is a test class for CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient and is intended
    ///to contain all CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient Unit Tests
    ///</summary>
    [TestClass()]
    public class NewBusinessClientTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }
        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for DeclineRisk (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void DeclineRiskTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();
            TXLifeRequest request = null; 
            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.DeclineRisk(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.DeclineRisk did no" +
                    "t return the expected value.");
        }

        /// <summary>
        ///A test for GetGeneralRequirementStatus (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetGeneralRequirementStatusTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetGeneralRequirementStatus(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.GetGeneralRequirem" +
                    "entStatus did not return the expected value.");
        }

        /// <summary>
        ///A test for GetGeneralRequirementStatusAndResult (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetGeneralRequirementStatusAndResultTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetGeneralRequirementStatusAndResult(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.GetGeneralRequirem" +
                    "entStatusAndResult did not return the expected value.");
        }

        /// <summary>
        ///A test for GetMibInquiryFollowup (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetMibInquiryFollowupTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetMibInquiryFollowup(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.GetMibInquiryFollo" +
                    "wup did not return the expected value.");
        }

        /// <summary>
        ///A test for GetPharmaceuticalInformation (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetPharmaceuticalInformationTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetPharmaceuticalInformation(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.GetPharmaceuticalI" +
                    "nformation did not return the expected value.");
        }

        /// <summary>
        ///A test for GetPolicyRequirementDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetPolicyRequirementDetailsTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetPolicyRequirementDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.GetPolicyRequireme" +
                    "ntDetails did not return the expected value.");
        }

        /// <summary>
        ///A test for InquireMib (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void InquireMibTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.InquireMib(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.InquireMib did not" +
                    " return the expected value.");
        }

        /// <summary>
        ///A test for NotifyCaseStatus (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void NotifyCaseStatusTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.NotifyCaseStatus(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.NotifyCaseStatus d" +
                    "id not return the expected value.");
        }

        /// <summary>
        ///A test for OrderGeneralRequirement (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void OrderGeneralRequirementTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.OrderGeneralRequirement(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.OrderGeneralRequir" +
                    "ement did not return the expected value.");
        }

        /// <summary>
        ///A test for ProcessReplacement (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void ProcessReplacementTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.ProcessReplacement(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.ProcessReplacement" +
                    " did not return the expected value.");
        }

        /// <summary>
        ///A test for SendDiscrepancyNotice (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendDiscrepancyNoticeTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendDiscrepancyNotice(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.SendDiscrepancyNot" +
                    "ice did not return the expected value.");
        }

        /// <summary>
        ///A test for SendGeneralRequirementStatus (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendGeneralRequirementStatusTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendGeneralRequirementStatus(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.SendGeneralRequire" +
                    "mentStatus did not return the expected value.");
        }

        /// <summary>
        ///A test for SendGeneralRequirementStatusAndResult (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendGeneralRequirementStatusAndResultTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendGeneralRequirementStatusAndResult(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.SendGeneralRequire" +
                    "mentStatusAndResult did not return the expected value.");
        }

        /// <summary>
        ///A test for SendMibInquiryFollowup (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendMibInquiryFollowupTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendMibInquiryFollowup(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.SendMibInquiryFoll" +
                    "owup did not return the expected value.");
        }

        /// <summary>
        ///A test for SendPharmaceuticalInformation (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendPharmaceuticalInformationTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendPharmaceuticalInformation(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.SendPharmaceutical" +
                    "Information did not return the expected value.");
        }

        /// <summary>
        ///A test for SubmitNewBusinsssApplication (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SubmitNewBusinsssApplicationTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; 
            TXLifeResponse expected = null;
            TXLifeResponse actual = null;

            request = new TXLifeRequest();

            PolicyProduct p = new PolicyProduct();
            AdminTransactionProduct a = new AdminTransactionProduct();
            QualifiedPlanEntity q = new QualifiedPlanEntity();
            EntityType e = new EntityType();
            e.PartyTypeCode.Set_OLI_PT_ORG();
            q.EntityType.Add(e);
            a.QualifiedPlanEntity.Add(q);
            p.AdminTransactionProduct.Add(a);
            request.OLifE.PolicyProduct.Add(new PolicyProduct());

            //request.OLifE.Party.Add(new Party());
            //request.TransType.tc = OLI_LU_TRANS_TYPE_CODES_TC._103;
            //request.TransType.Value = "New Business";

            actual = target.SubmitNewBusinsssApplication(request);
            
            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.SubmitNewBusinsssA" +
                    "pplication did not return the expected value.");
        }

        /// <summary>
        ///A test for UpdateMib (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdateMibTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdateMib(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.UpdateMib did not " +
                    "return the expected value.");
        }

        /// <summary>
        ///A test for UpdatePolicyOnUnderwritingAction (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdatePolicyOnUnderwritingActionTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdatePolicyOnUnderwritingAction(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.UpdatePolicyOnUnde" +
                    "rwritingAction did not return the expected value.");
        }

        /// <summary>
        ///A test for UpdateReplacementProcessingStatus (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdateReplacementProcessingStatusTest()
        {
            CompanyX.Insurance.La.ServiceAgents.NewBusinessClient target = new CompanyX.Insurance.La.ServiceAgents.NewBusinessClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdateReplacementProcessingStatus(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.NewBusinessClient.UpdateReplacementP" +
                    "rocessingStatus did not return the expected value.");
        }

    }


}
