﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using CompanyX.Insurance.La.DataContracts;
using CompanyX.Insurance.La.ServiceAgents;

namespace CompanyX.Insurance.La.Services.FunctionalTests
{
    /// <summary>
    ///This is a test class for CompanyX.Insurance.La.Services.TestGenerator.PolicyProductClient and is intended
    ///to contain all CompanyX.Insurance.La.Services.TestGenerator.PolicyProductClient Unit Tests
    ///</summary>
    [TestClass()]
    public class PolicyProductClientTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }
        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for GetProductPolicyDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetProductPolicyDetailsTest()
        {
            PolicyProductClient target = new PolicyProductClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetProductPolicyDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.PolicyProductClient.GetProductPolicy" +
                    "Details did not return the expected value.");
        }

        /// <summary>
        ///A test for GetProductPolicyDetailsForHolding (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetProductPolicyDetailsForHoldingTest()
        {
            PolicyProductClient target = new PolicyProductClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetProductPolicyDetailsForHolding(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.PolicyProductClient.GetProductPolicy" +
                    "DetailsForHolding did not return the expected value.");
        }

        /// <summary>
        ///A test for SearchProductPolicy (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SearchProductPolicyTest()
        {
            PolicyProductClient target = new PolicyProductClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SearchProductPolicy(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.PolicyProductClient.SearchProductPol" +
                    "icy did not return the expected value.");
        }

        /// <summary>
        ///A test for SendProductPolicyDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendProductPolicyDetailsTest()
        {
            PolicyProductClient target = new PolicyProductClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendProductPolicyDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.PolicyProductClient.SendProductPolic" +
                    "yDetails did not return the expected value.");
        }

    }


}
