﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using CompanyX.Insurance.La.DataContracts;
using CompanyX.Insurance.La.ServiceAgents;

namespace CompanyX.Insurance.La.Services.FunctionalTests
{
    /// <summary>
    ///This is a test class for CompanyX.Insurance.La.Services.TestGenerator.InforceAdministrationClient and is intended
    ///to contain all CompanyX.Insurance.La.Services.TestGenerator.InforceAdministrationClient Unit Tests
    ///</summary>
    [TestClass()]
    public class InforceAdministrationClientTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }
        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for ProcessAutomaticScheduledFinancialActivity (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void ProcessAutomaticScheduledFinancialActivityTest()
        {
            InforceAdministrationClient target = new InforceAdministrationClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.ProcessAutomaticScheduledFinancialActivity(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InforceAdministrationClient.ProcessA" +
                    "utomaticScheduledFinancialActivity did not return the expected value.");
        }

        /// <summary>
        ///A test for UpdateAddress (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdateAddressTest()
        {
            InforceAdministrationClient target = new InforceAdministrationClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdateAddress(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InforceAdministrationClient.UpdateAd" +
                    "dress did not return the expected value.");
        }

        /// <summary>
        ///A test for UpdateEmailAddress (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdateEmailAddressTest()
        {
            InforceAdministrationClient target = new InforceAdministrationClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdateEmailAddress(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InforceAdministrationClient.UpdateEm" +
                    "ailAddress did not return the expected value.");
        }

        /// <summary>
        ///A test for UpdatePhoneNumber (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void UpdatePhoneNumberTest()
        {
            InforceAdministrationClient target = new InforceAdministrationClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.UpdatePhoneNumber(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.InforceAdministrationClient.UpdatePh" +
                    "oneNumber did not return the expected value.");
        }

    }


}
