﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using CompanyX.Insurance.La.DataContracts;

namespace CompanyX.Insurance.La.Services.FunctionalTests
{
    /// <summary>
    ///This is a test class for CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClient and is intended
    ///to contain all CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClient Unit Tests
    ///</summary>
    [TestClass()]
    public class ProducerLicensingAndAppointmentsClientTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }
        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for GetProducerDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetProducerDetailsTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetProducerDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.GetProducerDetails did not return the expected value.");
        }

        /// <summary>
        ///A test for GetProducerLicensingDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void GetProducerLicensingDetailsTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.GetProducerLicensingDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.GetProducerLicensingDetails did not return the expected value.");
        }

        /// <summary>
        ///A test for NotifyProducerAppointmentNonRenewal (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void NotifyProducerAppointmentNonRenewalTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;
            request = new TXLifeRequest();
            request.OLifE.Party.Add(new Party());

            actual = target.NotifyProducerAppointmentNonRenewal(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.NotifyProducerAppointmentNonRenewal did not return the expected value.");
        }

        /// <summary>
        ///A test for ReassignProducerForHouseholdHoldings (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void ReassignProducerForHouseholdHoldingsTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.ReassignProducerForHouseholdHoldings(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.ReassignProducerForHouseholdHoldings did not return the expected value.");
        }

        /// <summary>
        ///A test for RenewProducerAppointment (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void RenewProducerAppointmentTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.RenewProducerAppointment(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.RenewProducerAppointment did not return the expected value.");
        }

        /// <summary>
        ///A test for RequestProducerAppointment (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void RequestProducerAppointmentTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.RequestProducerAppointment(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.RequestProducerAppointment did not return the expected value.");
        }

        /// <summary>
        ///A test for RequestProducerLicense (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void RequestProducerLicenseTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.RequestProducerLicense(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.RequestProducerLicense did not return the expected value.");
        }

        /// <summary>
        ///A test for SendProducerDetails (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void SendProducerDetailsTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.SendProducerDetails(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.SendProducerDetails did not return the expected value.");
        }

        /// <summary>
        ///A test for TerminateProducerAppointment (TXLifeRequest)
        ///</summary>
        [TestMethod(), ExpectedException(typeof(System.ServiceModel.FaultException<System.ServiceModel.ExceptionDetail>))]
        public void TerminateProducerAppointmentTest()
        {
            CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient target = new CompanyX.Insurance.La.ServiceAgents.ProducerLicensingAndAppointmentsClient();

            TXLifeRequest request = null; // TODO: Initialize to an appropriate value

            TXLifeResponse expected = null;
            TXLifeResponse actual;

            actual = target.TerminateProducerAppointment(request);

            Assert.AreEqual(expected, actual, "CompanyX.Insurance.La.Services.TestGenerator.ProducerLicensingAndAppointmentsClie" +
                    "nt.TerminateProducerAppointment did not return the expected value.");
        }

    }


}
